KDE/Plasma updates for Debian sid/testing

I have written before about getting updated packages for KDE/Plasma on Debian. In the meantime I have moved all package building to the openSUSE Build Service, thus I am able to provide builds for Debian/testing, both i386 and amd64 architectures.

For those in hurry: new binary packages that can be used on both Debian/testing and Debian/sid can be obtained for both i386 and amd64 archs here:

Debian/testing:

deb http://download.opensuse.org/repositories/home:/npreining:/debian-plasma/Debian_Testing  ./

Debian/unstable:

deb http://download.opensuse.org/repositories/home:/npreining:/debian-plasma/Debian_Unstable  ./

To make these repositories work out of the box, you need to import my OBS gpg key: obs-npreining.asc, best to download it and put the file into /etc/apt/trusted.gpg.d/obs-npreining.asc.

The sources for the above binaries are available at the OBS site for the debian-plasma sub-project, but I will also try to keep them apt-get-able on my server as before:

deb-src https://www.preining.info/debian unstable kde

I have choosen the openSUSE build service because of its ease to push new packages, and automatic resolution of package dependencies within the same repository. No need to compile the packages myself, nor search for the correct order. I have also added a few new packages and updates (dolphin, umbrello, kwalletmanager, kompare,…), at the moment we are at 131 packages that got updated. If you have requests for update, drop me an email!

Enjoy

Norbert

12 Responses

  1. aki says:

    Thank you for your work. Why have you choosen to propose KDE packages for Debian outside the automatic Debian packaging infrastructure (for example, the Debian experimental repository) ? It could be useful to have a more recent KDE version in the official Debian repository, too. The “official” Debian repository has been publishing the 5.17 version of KDE since th 20th of february.

  2. neil says:

    Do you think this will work on Devuan Beowulf? What KDE package do I install?

    • Since Devuan Beowulf is based on Debian Buster, none of the repositories can be used. Debian Buster and Devuan Beowulf have too old libQt, thus installation is not possible.

  3. ernst meier says:

    Many thanks for these debian packages, Norbert. Could you please provide a German language package for KDE as well? This would be much appreciated!

  4. Ernst Meier says:

    Lieber Norbert, es geht um kde-l10n-de! Vielen Dank und viele Grüsse nach Japan! Ernst

  1. 2020/04/03

    […] 2020-04-03: Please see this post for updated location of the packages!!! Now for i586 and amd64 […]

  2. 2020/04/04

    […] Norbert Preining: KDE/Plasma updates for Debian sid/testing […]

  3. 2020/04/24

    […] and the very same dependencies to build the binaries. Fortunately, the lessons learned from my KDE/Plasma updates for Debian helped, and with a bit of magic and the nice service from the openSUSE build service, I now have […]

Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> <pre lang="" line="" escaped="" cssfile="">